%define	upstream_name	 Net-Netmask
%define	upstream_version 1.9016

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Epoch:      1

Summary:    %{upstream_name} module for Perl
License:    Public Domain
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/authors/id/M/MU/MUIR/modules/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
Net-Netmask module for perl

Net::Netmask parses and understands IPv4 CIDR blocks. It's built with an
object-oriented interface. Nearly all functions are methods that operate on a
Net::Netmask object.

There are methods that provide the nearly all bits of information about a
network block that you might want.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
%make test

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
%{makeinstall_std}

%files
%defattr(-,root,root)
%doc CHANGELOG META.yml README
%{perl_vendorlib}/Net/*
%{_mandir}/*/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1:1.901.600-2.mga3
+ Revision: 370752
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Mar 24 2011 jquelin <jquelin> 1:1.901.600-1.mga1
+ Revision: 76684
- bump epoch to use %%perl_convert_version
- update to 1.9016

* Sat Jan 22 2011 jquelin <jquelin> 1.9015-4.mga1
+ Revision: 30946
- mageia rebuild
- imported package perl-Net-Netmask

